# highlight-search-text

Responsive component for syntax highlighting when searching.

## [Demo](http://shushan.ofshant.com/)

## Installation

```bash
npm install highlight-search-text --save
```

## Import

```js
import HighlightText from 'highlight-search-text';
```

## Usage

```js
<HighlightText
  search={search}
  text={text}
  highlightClassName="highlight"
  containerClassName="container"
  className="other"
  caseIgnore
  spaceIgnore
  startWord
  endWord
  fullWord
  all
/>
```

## How it works

```js
<HighlightText
  search="Once Upon A Time, In A Galaxy Far..."
  text="on"
  highlightClassName="highlight"
  containerClassName="container"
  className="other"
  caseIgnore
  all
>

<span class="container">
  <span class="highlight">On</span>
  <span class="other">ce Up</span>
  <span class="highlight">on</span>
  <span class="other"> A Time, In A Galaxy Far...</span>
</span>
```

| Attributes          | Type     | Default | Description |
| ----------          | ----     | ------- | ----------- |
| search              | string   | ''      | It’s what we are looking for |
| text                | string   | ''      | It’s where we looking for |
| highlightClassName  | string   | ''      | Highlighted text class |
| containerClassName  | string   | ''      | Container class |
| className           | string   | ''      | Other element class |
| caseIgnore          | boolean  | false   | By choosing case ignore search function is happening without consideration of LowerCase and UpperCase |
| spaceIgnore         | boolean  | false   |             |
| startWord           | boolean  | false   |             |
| endWord             | boolean  | false   |             |
| fullWOrd            | boolean  | false   |             |
| all                 | boolean  | false   |             |
